/*
CVE Services API

The CVE Services API supports automation tooling for the CVE Program. Credentials are     required for most service endpoints. Representatives of     <a href='https://www.cve.org/ProgramOrganization/CNAs'>CVE Numbering Authorities (CNAs)</a> should     use one of the methods below to obtain credentials:    <ul><li>If your organization already has an Organizational Administrator (OA) account for the CVE     Services, ask your admin for credentials</li>     <li>Contact your Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/Google'>Google</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/INCIBE'>INCIBE</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/jpcert'>JPCERT/CC</a>, or     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/redhat'>Red Hat</a>) or     Top-Level Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/icscert'>CISA ICS</a>     or <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/mitre'>MITRE</a>) to request credentials     </ul>     <p>CVE data is to be in the JSON 5.0 CVE Record format. Details of the JSON 5.0 schema are     located <a href='https://github.com/CVEProject/cve-schema/tree/master/schema/v5.0' target='_blank'>here</a>.</p>    <a href='https://cveform.mitre.org/' class='link' target='_blank'>Contact the CVE Services team</a>

API version: 2.1.4
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package cveapi

import (
	"encoding/json"
)

// checks if the CreateCveRecordRejectionRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CreateCveRecordRejectionRequest{}

// CreateCveRecordRejectionRequest struct for CreateCveRecordRejectionRequest
type CreateCveRecordRejectionRequest struct {
	CnaContainer UpdateCveRecordRejectionRequestCnaContainer `json:"cnaContainer"`
}

// NewCreateCveRecordRejectionRequest instantiates a new CreateCveRecordRejectionRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCreateCveRecordRejectionRequest(cnaContainer UpdateCveRecordRejectionRequestCnaContainer) *CreateCveRecordRejectionRequest {
	this := CreateCveRecordRejectionRequest{}
	this.CnaContainer = cnaContainer
	return &this
}

// NewCreateCveRecordRejectionRequestWithDefaults instantiates a new CreateCveRecordRejectionRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCreateCveRecordRejectionRequestWithDefaults() *CreateCveRecordRejectionRequest {
	this := CreateCveRecordRejectionRequest{}
	return &this
}

// GetCnaContainer returns the CnaContainer field value
func (o *CreateCveRecordRejectionRequest) GetCnaContainer() UpdateCveRecordRejectionRequestCnaContainer {
	if o == nil {
		var ret UpdateCveRecordRejectionRequestCnaContainer
		return ret
	}

	return o.CnaContainer
}

// GetCnaContainerOk returns a tuple with the CnaContainer field value
// and a boolean to check if the value has been set.
func (o *CreateCveRecordRejectionRequest) GetCnaContainerOk() (*UpdateCveRecordRejectionRequestCnaContainer, bool) {
	if o == nil {
		return nil, false
	}
	return &o.CnaContainer, true
}

// SetCnaContainer sets field value
func (o *CreateCveRecordRejectionRequest) SetCnaContainer(v UpdateCveRecordRejectionRequestCnaContainer) {
	o.CnaContainer = v
}

func (o CreateCveRecordRejectionRequest) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CreateCveRecordRejectionRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["cnaContainer"] = o.CnaContainer
	return toSerialize, nil
}

type NullableCreateCveRecordRejectionRequest struct {
	value *CreateCveRecordRejectionRequest
	isSet bool
}

func (v NullableCreateCveRecordRejectionRequest) Get() *CreateCveRecordRejectionRequest {
	return v.value
}

func (v *NullableCreateCveRecordRejectionRequest) Set(val *CreateCveRecordRejectionRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableCreateCveRecordRejectionRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableCreateCveRecordRejectionRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCreateCveRecordRejectionRequest(val *CreateCveRecordRejectionRequest) *NullableCreateCveRecordRejectionRequest {
	return &NullableCreateCveRecordRejectionRequest{value: val, isSet: true}
}

func (v NullableCreateCveRecordRejectionRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCreateCveRecordRejectionRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


